package domain


type AlibabaWdkOrderRefundListOrderSyncRefundChannel struct {
    /*
        退款金额     */
    RefundAmount  *int64 `json:"refund_amount,omitempty" `

    /*
        退款渠道，0-付款码支付，1-盒马在线码－普通支付（pos），2-盒马在线码－免密协议支付（pos），3-银联刷卡（旧pos），4-现金（pos），5-支付宝离线码（pos），6-支付宝快捷支付（app），7-支付平台, 8-国际支付宝, 9-支付宝当面付, 10-网商银行信任付, 11-支付宝, 12-支付宝, 13-网商银行融易收, 14-现金, 15-银行卡, 16-支票, 17-三江购物券, 18-三江赊销，19-三江会员卡，20-三江储值卡，21-三江储值卡退卡，22-人人乐钱包, 23-人人乐提货卡     */
    RefundChannel  *int64 `json:"refund_channel,omitempty" `

    /*
        退款id     */
    RefundOrderId  *string `json:"refund_order_id,omitempty" `

}

func (s *AlibabaWdkOrderRefundListOrderSyncRefundChannel) SetRefundAmount(v int64) *AlibabaWdkOrderRefundListOrderSyncRefundChannel {
    s.RefundAmount = &v
    return s
}
func (s *AlibabaWdkOrderRefundListOrderSyncRefundChannel) SetRefundChannel(v int64) *AlibabaWdkOrderRefundListOrderSyncRefundChannel {
    s.RefundChannel = &v
    return s
}
func (s *AlibabaWdkOrderRefundListOrderSyncRefundChannel) SetRefundOrderId(v string) *AlibabaWdkOrderRefundListOrderSyncRefundChannel {
    s.RefundOrderId = &v
    return s
}
